diff -Nur -Xfreecivdiff.ignore freeciv-cvs/data/civ2/buildings.ruleset freeciv-patched/data/civ2/buildings.ruleset
--- freeciv-cvs/data/civ2/buildings.ruleset	2003-06-30 12:18:27.000000000 +0100
+++ freeciv-patched/data/civ2/buildings.ruleset	2003-06-30 12:18:10.000000000 +0100
@@ -77,13 +77,10 @@
     }
 sound		= "b_aqueduct"
 sound_alt	= "b_generic"
-; FIXME: use this help text when gen-impr implemented...
-; /* (ignore for gettext until fixed)
-; helptext	= _("\
-; Allows a city to grow larger than size 8.  A Sewer System is also\
-;  required for a city to grow larger than size 12.\
-; ")
-; */
+helptext	= _("\
+Allows a city to grow larger than size 8.  A Sewer System is also\
+ required for a city to grow larger than size 12.\
+")
 
 [building_bank]
 name		= _("Bank")
@@ -328,9 +325,9 @@
 sabotage	= 100
 effect		=
     { "type", "range", "amount", "cond_gov"
-	"Reduce_Corrupt", "City", 50
+	"Corrupt_Adj", "City", -50
 	"Make_Content", "City", 1, "Democracy"
-	"Revolt_Dist", "City", 50
+	"Revolt_Dist_Adj", "City", -50
     }
 sound		= "b_courthouse"
 sound_alt	= "b_generic"
@@ -437,8 +434,8 @@
 effect		=
     { "type", "range", "amount", "cond_bldg"
 	"Prod_Bonus", "City", 50, "Factory"
-	"Pollu_Adj_Prod", "City", 50
-	"Pollu_Adj_Prod", "City", -50, "Recycling Center"
+	"Pollu_Prod_Adj", "City", -50
+	"Pollu_Prod_Adj", "City", 50, "Recycling Center"
     }
 sound		= "b_hydro_plant"
 sound_alt	= "b_generic"
@@ -524,7 +521,7 @@
 sabotage	= 100
 effect		=
     { "type", "range", "amount"
-	"Pollu_Set_Pop", "City", 0
+	"Pollu_Pop_Pct", "City", 0
     }
 sound		= "b_mass_transit"
 sound_alt	= "b_generic"
@@ -577,8 +574,8 @@
 effect		=
     { "type", "range", "amount", "cond_bldg"
 	"Prod_Bonus", "City", 50, "Factory"
-	"Pollu_Adj_Prod", "City", 50
-	"Pollu_Adj_Prod", "City", -50, "Recycling Center"
+	"Pollu_Prod_Adj", "City", -50
+	"Pollu_Prod_Adj", "City", 50, "Recycling Center"
     }
 sound		= "b_nuclear_plant"
 sound_alt	= "b_generic"
@@ -667,7 +664,7 @@
 ;spec_gate	=
 equiv_range	= "City"
 ;equiv_dupl	=
-;equiv_repl	=
+equiv_repl	= "Women's Suffrage"
 obsolete_by	= "None"
 is_wonder	= 0
 build_cost	= 60
@@ -676,14 +673,14 @@
 effect		=
     { "type", "range", "amount", "cond_gov"
 	"Make_Content_Mil", "City", 1, "Republic"
-	"Make_Content_Mil", "City", 2, "Democracy"
+	"Make_Content_Mil", "City", 1, "Democracy"
     }
 sound		= "b_police_station"
 sound_alt	= "b_generic"
 helptext	= _("\
 Reduces the unhappiness caused by military units outside the city\
- by 2 under Democracy and 1 under Republic.  This improvement has no\
- effect under other governments.\
+ by one, under Democracy and Republic. This improvement has no effect\
+ under other governments.\
 ")
 
 [building_port_facility]
@@ -761,7 +758,7 @@
 sabotage	= 100
 effect		=
     { "type", "range", "amount"
-	"Pollu_Adj_Prod", "City", 34
+	"Pollu_Prod_Adj", "City", -66
     }
 sound		= "b_recycling_center"
 sound_alt	= "b_generic"
@@ -873,13 +870,10 @@
     }
 sound		= "b_sewer_system"
 sound_alt	= "b_generic"
-; FIXME: use this help text when gen-impr implemented...
-; /* (ignore for gettext until fixed)
-; helptext	= _("\
-; Allows a city to grow larger than size 12.  An Aqueduct is first\
-;  required for a city to grow larger than size 8.\
-; ")
-; */
+helptext	= _("\
+Allows a city to grow larger than size 12.  An Aqueduct is first\
+ required for a city to grow larger than size 8.\
+")
 
 [building_solar_plant]
 name		= _("Solar Plant")
@@ -898,7 +892,7 @@
 effect		=
     { "type", "range", "amount", "cond_bldg"
 	"Prod_Bonus", "City", 50, "Factory"
-	"Pollu_Set_Prod", "City", 0
+	"Pollu_Prod_Pct", "City", 0
 	"Slow_Global_Warm", "World", 10
     }
 sound		= "b_solar_plant"
@@ -1266,7 +1260,7 @@
 sabotage	= 0
 effect		=
     { "type", "range", "amount"
-	"Make_Happy", "Player", 1
+	"Force_Happy", "Player", 1
     }
 sound		= "w_cure_for_cancer"
 sound_alt	= "w_generic"
@@ -1398,8 +1392,8 @@
 sabotage	= 0
 effect		=
     { "type", "range", "amount"
-	"Make_Happy", "Player", 1
-	"Make_Happy", "City", 2
+	"Force_Happy", "Player", 1
+	"Force_Happy", "City", 2
     }
 sound		= "w_hanging_gardens"
 sound_alt	= "w_generic"
@@ -1428,8 +1422,8 @@
 effect		=
     { "type", "range", "amount", "cond_bldg"
 	"Prod_Bonus", "Player", 50, "Factory"
-	"Pollu_Adj_Prod", "Player", 50
-	"Pollu_Adj_Prod", "Player", -50, "Recycling Center"
+	"Pollu_Prod_Adj", "Player", -50
+	"Pollu_Prod_Adj", "Player", 50, "Recycling Center"
     }
 sound		= "w_hoover_dam"
 sound_alt	= "w_generic"
@@ -1479,7 +1473,7 @@
 sabotage	= 0
 effect		=
     { "type", "range", "amount"
-	"Make_Content", "Player", 2
+	"Force_Content", "Player", 2
     }
 sound		= "w_js_bachs_cathedral"
 sound_alt	= "w_generic"
@@ -1608,8 +1602,9 @@
     }
 sound		= "w_manhattan_project"
 sound_alt	= "w_generic"
-;helptext is set in client/helpdata.c:helptext_wonder()
-;helptext	=
+helptext	= _("\
+Allows all players with knowledge of Rocketry to build Nuclear units.\
+")
 
 [building_marco_polos_embassy]
 name		= _("Marco Polo's Embassy")
@@ -1756,7 +1751,7 @@
 sabotage	= 0
 effect		=
     { "type", "range", "amount"
-	"Make_Content", "City", 99
+	"Force_Content", "City", 99
     }
 sound		= "w_shakespeares_theatre"
 sound_alt	= "w_generic"
@@ -1806,9 +1801,9 @@
 upkeep		= 0
 sabotage	= 0
 effect		=
-    { "type", "range", "amount", "aff_unit"
+    { "type", "range", "amount", "aff_unit", "outside"
+	"Unit_Vet_Combat", "Player", 100, "Land", 1
 	"Unit_Veteran", "Player", 0, "Land"
-	"Unit_Vet_Combat", "Player", 100, "Land"
     }
 sound		= "w_sun_tzus_war_academy"
 sound_alt	= "w_generic"
@@ -1871,15 +1866,14 @@
 effect		=
     { "type", "range", "amount", "cond_gov"
 	"Make_Content_Mil", "Player", 1, "Republic"
-	"Make_Content_Mil", "Player", 2, "Democracy"
+	"Make_Content_Mil", "Player", 1, "Democracy"
     }
 sound		= "w_womens_suffrage"
 sound_alt	= "w_generic"
 helptext	= _("\
 Counts as a Police Station in every city.  (That is, for each city,\
- reduces unhappiness for military units outside the city by 2 under\
- Democracy and 1 under Republic.  This wonder has no effect under\
- other governments.)\
+ reduces the unhappiness caused by military units outside the city\
+ by one, under Democracy and Republic.)\
 ")
 
 [building_capitalization]
diff -Nur -Xfreecivdiff.ignore freeciv-cvs/data/civ2/governments.ruleset freeciv-patched/data/civ2/governments.ruleset
--- freeciv-cvs/data/civ2/governments.ruleset	2003-06-30 12:18:25.000000000 +0100
+++ freeciv-patched/data/civ2/governments.ruleset	2003-06-30 12:17:55.000000000 +0100
@@ -351,7 +351,7 @@
 tech_req    = "Communism"
 graphic     = "gov.communism"
 graphic_alt = "-"
-flags       = "Build_Veteran_Diplomats", "Inspires_Partisans"
+flags       = "Inspires_Partisans"
 hints       = "Favors_Growth"
 subgoal	    = "Monarchy"
 
diff -Nur -Xfreecivdiff.ignore freeciv-cvs/data/civ2/units.ruleset freeciv-patched/data/civ2/units.ruleset
--- freeciv-cvs/data/civ2/units.ruleset	2003-06-30 12:18:25.000000000 +0100
+++ freeciv-patched/data/civ2/units.ruleset	2003-06-30 12:17:55.000000000 +0100
@@ -13,6 +13,9 @@
 description="Civ2 unit_type data for Freeciv (approximate)"
 options="1.9"
 
+[userflags]
+names = "Horse"
+
 ; Below: The individual units, one per section.
 ;
 ; The number can be variable, up to 200.  
@@ -288,8 +291,15 @@
 uk_shield     = 1
 uk_food       = 0
 uk_gold       = 0
-flags         = "Pikemen"
+flags         = ""
 roles         = "DefendGood", "FirstBuild"
+effect        =
+    { "type", "amount", "aff_unit"
+        "Unit_Defend", 200, "Horse"
+    }
+helptext      = _("\
+Gets double defense against units specified as 'mounted'.\
+")
 
 [unit_musketeers]
 name          = _("Musketeers")
@@ -570,6 +580,9 @@
 uk_gold       = 0
 flags         = "Horse"
 roles         = "AttackFast", "Hut", "Barbarian"
+helptext      = _("\
+Counts as 'mounted' against certain defenders.\
+")
 
 [unit_chariot]
 name          = _("Chariot")
@@ -598,6 +611,9 @@
 uk_gold       = 0
 flags         = "Horse"
 roles         = "AttackFast", "Hut"
+helptext      = _("\
+Counts as 'mounted' against certain defenders.\
+")
 
 [unit_elephants]
 name          = _("Elephants")
@@ -654,6 +670,9 @@
 uk_gold       = 0
 flags         = "Horse"
 roles         = "AttackFast"
+helptext      = _("\
+Counts as 'mounted' against certain defenders.\
+")
 
 [unit_knights]
 name          = _("Knights")
@@ -683,6 +702,9 @@
 flags         = "Horse"
 roles         = "AttackFast", "HutTech", "BarbarianTech",
                 "BarbarianBuildTech", "BarbarianSeaTech"
+helptext      = _("\
+Counts as 'mounted' against certain defenders.\
+")
 
 [unit_dragoons]
 name          = _("Dragoons")
@@ -711,6 +733,9 @@
 uk_gold       = 0
 flags         = "Horse"
 roles         = "AttackFast", "BarbarianBuildTech", "BarbarianSeaTech"
+helptext      = _("\
+Counts as 'mounted' against certain defenders.\
+")
 
 [unit_cavalry]
 name          = _("Cavalry")
@@ -963,11 +988,18 @@
 uk_gold       = 0
 flags         = "FieldUnit", "OneAttack"
 roles         = ""
+effect        =
+    { "type", "amount", "aff_unit"
+        "Unit_Defend", 50, "Fighter"
+        "Unit_Defend_Firepower", 50, "Fighter"
+    }
 helptext      = _("\
 The Helicopter is a very powerful unit, as it can both fly and\
  conquer cities.  Care must be exercised, because Helicopters lose a\
  small amount of health for every turn not spent in a city, unless\
  you have the United Nations wonder.\
+Note that Helicopters suffer halved defense strength and firepower\
+ when defending against Fighters.\
 ")
 
 [unit_stealth_fighter]
@@ -1259,8 +1291,17 @@
 uk_shield     = 1
 uk_food       = 0
 uk_gold       = 0
-flags         = "AEGIS"
+flags         = ""
 roles         = ""
+effect        =
+    { "type", "amount", "aff_unit"
+        "Unit_Defend", 500, "Air"
+        "Unit_Defend", 500, "Heli"
+        "Unit_Defend", 500, "Missile"
+    }
+helptext      = _("\
+Gets quintuple defence against missiles, aeroplanes, and helicopters.\
+")
 
 [unit_battleship]
 name          = _("Battleship")
@@ -1490,6 +1531,10 @@
 uk_gold       = 0
 flags         = "Diplomat", "IgZOC", "NonMil"
 roles         = ""
+effect        =
+    { "type", "cond_gov"
+        "Unit_Veteran", "Communism"
+    }
 helptext      = _("\
 - A Diplomat can establish embassies with other civilizations\
  by moving into another player's city.\
@@ -1536,6 +1581,10 @@
 uk_gold       = 0
 flags         = "Diplomat", "IgZOC", "NonMil", "Spy"
 roles         = ""
+effect        =
+    { "type", "cond_gov"
+        "Unit_Veteran", "Communism"
+    }
 helptext      = _("\
 A Spy is a full time professional and as such is much more\
  skilled in the arts of espionage than her Diplomat predecessor.\
diff -Nur -Xfreecivdiff.ignore freeciv-cvs/data/default/buildings.ruleset freeciv-patched/data/default/buildings.ruleset
--- freeciv-cvs/data/default/buildings.ruleset	2003-06-30 12:18:27.000000000 +0100
+++ freeciv-patched/data/default/buildings.ruleset	2003-06-30 12:18:10.000000000 +0100
@@ -128,13 +128,10 @@
     }
 sound		= "b_aqueduct"
 sound_alt	= "b_generic"
-; FIXME: use this help text when gen-impr implemented...
-; /* (ignore for gettext until fixed)
-; helptext	= _("\
-; Allows a city to grow larger than size 8.  A Sewer System is also\
-;  required for a city to grow larger than size 12.\
-; ")
-; */
+helptext	= _("\
+Allows a city to grow larger than size 8.  A Sewer System is also\
+ required for a city to grow larger than size 12.\
+")
 
 [building_bank]
 name		= _("Bank")
@@ -399,9 +396,9 @@
 sabotage	= 100
 effect		=
     { "type", "range", "amount", "cond_gov"
-	"Reduce_Corrupt", "City", 50
+	"Corrupt_Adj", "City", -50
 	"Make_Content", "City", 1, "Democracy"
-	"Revolt_Dist", "City", 50
+	"Revolt_Dist_Adj", "City", -50
     }
 sound		= "b_courthouse"
 sound_alt	= "b_generic"
@@ -517,8 +514,8 @@
     { "type", "range", "amount", "cond_bldg"
 	"Prod_Bonus", "City", 25, "Factory"
 	"Prod_Bonus", "City", 25, "Mfg. Plant"
-	"Pollu_Adj_Prod", "City", 50
-	"Pollu_Adj_Prod", "City", -50, "Recycling Center"
+	"Pollu_Prod_Adj", "City", -50
+	"Pollu_Prod_Adj", "City", 50, "Recycling Center"
     }
 sound		= "b_hydro_plant"
 sound_alt	= "b_generic"
@@ -613,7 +610,7 @@
 sabotage	= 100
 effect		=
     { "type", "range", "amount"
-	"Pollu_Set_Pop", "City", 0
+	"Pollu_Pop_Pct", "City", 0
     }
 sound		= "b_mass_transit"
 sound_alt	= "b_generic"
@@ -671,8 +668,8 @@
     { "type", "range", "amount", "cond_bldg"
 	"Prod_Bonus", "City", 25, "Factory"
 	"Prod_Bonus", "City", 25, "Mfg. Plant"
-	"Pollu_Adj_Prod", "City", 50
-	"Pollu_Adj_Prod", "City", -50, "Recycling Center"
+	"Pollu_Prod_Adj", "City", -50
+	"Pollu_Prod_Adj", "City", 50, "Recycling Center"
     }
 sound		= "b_nuclear_plant"
 sound_alt	= "b_generic"
@@ -769,7 +766,7 @@
 ;spec_gate	=
 equiv_range	= "City"
 ;equiv_dupl	=
-;equiv_repl	=
+equiv_repl	= "Women's Suffrage"
 obsolete_by	= "None"
 is_wonder	= 0
 build_cost	= 60
@@ -787,9 +784,6 @@
  by 2 under Democracy and 1 under Republic.  This improvement has no\
  effect under other governments.\
 ")
-; NOTE:
-; For Civ2 this should reduce unhappiness by one for *each* unit
-; outside a city that is causing at least one unhappiness.
 
 [building_port_facility]
 name		= _("Port Facility")
@@ -876,7 +870,7 @@
 sabotage	= 100
 effect		=
     { "type", "range", "amount"
-	"Pollu_Adj_Prod", "City", 34
+	"Pollu_Prod_Adj", "City", -66 
     }
 sound		= "b_recycling_center"
 sound_alt	= "b_generic"
@@ -996,13 +990,10 @@
     }
 sound		= "b_sewer_system"
 sound_alt	= "b_generic"
-; FIXME: use this help text when gen-impr implemented...
-; /* (ignore for gettext until fixed)
-; helptext	= _("\
-; Allows a city to grow larger than size 12.  An Aqueduct is first\
-;  required for a city to grow larger than size 8.\
-; ")
-; */
+helptext	= _("\
+Allows a city to grow larger than size 12.  An Aqueduct is first\
+ required for a city to grow larger than size 8.\
+")
 
 [building_solar_plant]
 name		= _("Solar Plant")
@@ -1024,7 +1015,7 @@
     { "type", "range", "amount", "cond_bldg"
 	"Prod_Bonus", "City", 25, "Factory"
 	"Prod_Bonus", "City", 25, "Mfg. Plant"
-	"Pollu_Set_Prod", "City", 0
+	"Pollu_Prod_Pct", "City", 0
 	"Slow_Global_Warm", "World", 10
     }
 sound		= "b_solar_plant"
@@ -1422,7 +1413,7 @@
 sabotage	= 0
 effect		=
     { "type", "range", "amount"
-	"Make_Content", "Player", 1
+	"Force_Content", "Player", 1
     }
 sound		= "w_cure_for_cancer"
 sound_alt	= "w_generic"
@@ -1566,8 +1557,8 @@
 sabotage	= 0
 effect		=
     { "type", "range", "amount"
-	"Make_Happy", "Player", 1
-	"Make_Happy", "City", 2
+	"Force_Happy", "Player", 1
+	"Force_Happy", "City", 2
     }
 sound		= "w_hanging_gardens"
 sound_alt	= "w_generic"
@@ -1599,8 +1590,8 @@
     { "type", "range", "amount", "cond_bldg"
 	"Prod_Bonus", "Player", 25, "Factory"
 	"Prod_Bonus", "Player", 25, "Mfg. Plant"
-	"Pollu_Adj_Prod", "Player", 50
-	"Pollu_Adj_Prod", "Player", -50, "Recycling Center"
+	"Pollu_Prod_Adj", "Player", -50
+	"Pollu_Prod_Adj", "Player", 50, "Recycling Center"
     }
 sound		= "w_hoover_dam"
 sound_alt	= "w_generic"
@@ -1654,7 +1645,7 @@
 sabotage	= 0
 effect		=
     { "type", "range", "amount"
-	"Make_Content", "Player", 2
+	"Force_Content", "Player", 2
     }
 sound		= "w_js_bachs_cathedral"
 sound_alt	= "w_generic"
@@ -1793,8 +1784,9 @@
     }
 sound		= "w_manhattan_project"
 sound_alt	= "w_generic"
-;helptext is set in client/helpdata.c:helptext_wonder()
-;helptext	=
+helptext	= _("\
+Allows all players with knowledge of Rocketry to build Nuclear units.\
+")
 
 [building_marco_polos_embassy]
 name		= _("Marco Polo's Embassy")
@@ -1953,7 +1945,7 @@
 sabotage	= 0
 effect		=
     { "type", "range", "amount"
-	"Make_Content", "City", 99
+	"Force_Content", "City", 99
     }
 sound		= "w_shakespeares_theatre"
 sound_alt	= "w_generic"
@@ -2007,9 +1999,9 @@
 upkeep		= 0
 sabotage	= 0
 effect		=
-    { "type", "range", "amount", "aff_unit"
+    { "type", "range", "amount", "aff_unit", "outside"
+	"Unit_Vet_Combat", "Player", 100, "Land", 1
 	"Unit_Veteran", "Player", 0, "Land"
-	"Unit_Vet_Combat", "Player", 100, "Land"
     }
 sound		= "w_sun_tzus_war_academy"
 sound_alt	= "w_generic"
@@ -2036,12 +2028,12 @@
 upkeep		= 0
 sabotage	= 0
 effect		=
-    { "type", "range", "amount", "aff_unit"
-	"Unit_Recover", "Player", 2, "Air"
-	"Unit_Recover", "Player", 2, "Helicopter"
-	"Unit_Recover", "Player", 2, "Land"
-	"Unit_Recover", "Player", 2, "Missile"
-	"Unit_Recover", "Player", 2, "Sea"
+    { "type", "range", "amount", "aff_unit", "outside"
+	"Unit_Recover", "Player", 2, "Air", 1
+	"Unit_Recover", "Player", 2, "Heli", 1
+	"Unit_Recover", "Player", 2, "Land", 1
+	"Unit_Recover", "Player", 2, "Missile", 1
+	"Unit_Recover", "Player", 2, "Sea", 1
     }
 sound		= "w_united_nations"
 sound_alt	= "w_generic"
diff -Nur -Xfreecivdiff.ignore freeciv-cvs/data/default/governments.ruleset freeciv-patched/data/default/governments.ruleset
--- freeciv-cvs/data/default/governments.ruleset	2003-06-30 12:18:25.000000000 +0100
+++ freeciv-patched/data/default/governments.ruleset	2003-06-30 12:17:55.000000000 +0100
@@ -352,7 +352,7 @@
 tech_req    = "Communism"
 graphic     = "gov.communism"
 graphic_alt = "-"
-flags       = "Build_Veteran_Diplomats", "Inspires_Partisans"
+flags       = "Inspires_Partisans"
 hints       = "Favors_Growth"
 subgoal	    = "Monarchy"
 
diff -Nur -Xfreecivdiff.ignore freeciv-cvs/data/default/units.ruleset freeciv-patched/data/default/units.ruleset
--- freeciv-cvs/data/default/units.ruleset	2003-06-30 12:18:25.000000000 +0100
+++ freeciv-patched/data/default/units.ruleset	2003-06-30 12:17:55.000000000 +0100
@@ -21,6 +21,9 @@
 description="Default unit_type data for Freeciv"
 options="1.9"
 
+[userflags]
+names = "Horse"
+
 ; Below: The individual units, one per section.
 ;
 ; The number can be variable, up to 200.  
@@ -76,11 +79,11 @@
 ; "Carrier"	= can transport air and missile units, but not land units
 ; "Missile_Carrier" = can transport only missiles, but no aircraft or land units
 ; "OneAttack"	= can only make a single attack, regardless of movement points
-; "Pikemen"	= double defence power against "Horse" flag units
-; "Horse"	= (no effect)
-; "IgWall"	= ignore effect of city walls
+; "Pikemen"	= (obsolete, used only by the AI)
+; "Horse"	= (obsolete, used only by the AI)
+; "IgWall"	= ignore Unit_Defend effects at City-range and greater
 ; "FieldUnit"	= cause unhappiness even when not being aggressive
-; "AEGIS"	= fivefold increased defence against air attacks and missiles
+; "AEGIS"	= (obsolete, used only by the AI)
 ; "Fighter"	= can attack air units (no other units can normally do this)
 ; "Marines"	= (land only) can attack from transports
 ; "Partial_Invis" = visible only to adjancent units; does not hide transported
@@ -359,8 +362,15 @@
 uk_shield     = 1
 uk_food       = 0
 uk_gold       = 0
-flags         = "Pikemen"
+flags         = ""
 roles         = "DefendGood", "FirstBuild"
+effect        =
+    { "type", "amount", "aff_unit"
+        "Unit_Defend", 200, "Horse"
+    }
+helptext      = _("\
+Gets double defense against units specified as 'mounted'.\
+")
 
 [unit_musketeers]
 name          = _("Musketeers")
@@ -635,6 +645,9 @@
 uk_gold       = 0
 flags         = "Horse"
 roles         = "AttackFast", "Hut", "Barbarian"
+helptext      = _("\
+Counts as 'mounted' against certain defenders.\
+")
 
 [unit_chariot]
 name          = _("Chariot")
@@ -663,6 +676,9 @@
 uk_gold       = 0
 flags         = "Horse"
 roles         = "AttackFast", "Hut"
+helptext      = _("\
+Counts as 'mounted' against certain defenders.\
+")
 
 [unit_elephants]
 name          = _("Elephants")
@@ -719,6 +735,9 @@
 uk_gold       = 0
 flags         = "Horse"
 roles         = "AttackFast"
+helptext      = _("\
+Counts as 'mounted' against certain defenders.\
+")
 
 [unit_knights]
 name          = _("Knights")
@@ -748,6 +767,9 @@
 flags         = "Horse"
 roles         = "AttackFast", "HutTech", "BarbarianTech",
                 "BarbarianBuildTech", "BarbarianSeaTech"
+helptext      = _("\
+Counts as 'mounted' against certain defenders.\
+")
 
 [unit_dragoons]
 name          = _("Dragoons")
@@ -776,6 +798,9 @@
 uk_gold       = 0
 flags         = "Horse"
 roles         = "AttackFast", "BarbarianBuildTech", "BarbarianSeaTech"
+helptext      = _("\
+Counts as 'mounted' against certain defenders.\
+")
 
 [unit_cavalry]
 name          = _("Cavalry")
@@ -1028,11 +1053,18 @@
 uk_gold       = 0
 flags         = "FieldUnit", "OneAttack"
 roles         = ""
+effect        =
+    { "type", "amount", "aff_unit"
+        "Unit_Defend", 50, "Fighter"
+	"Unit_Defend_Firepower", 50, "Fighter"
+    }
 helptext      = _("\
 The Helicopter is a very powerful unit, as it can both fly and\
  conquer cities.  Care must be exercised, because Helicopters lose a\
  small amount of health for every turn not spent in a city, unless\
  you have the United Nations wonder.\
+Note that Helicopters suffer halved defense strength and firepower\
+ when defending against Fighters.\
 ")
 
 [unit_stealth_fighter]
@@ -1324,8 +1356,17 @@
 uk_shield     = 1
 uk_food       = 0
 uk_gold       = 0
-flags         = "AEGIS"
+flags         = ""
 roles         = "DefendGood"
+effect        =
+    { "type", "amount", "aff_unit"
+        "Unit_Defend", 500, "Air"
+        "Unit_Defend", 500, "Heli"
+        "Unit_Defend", 500, "Missile"
+    }
+helptext      = _("\
+Gets quintuple defence against missiles, aeroplanes, and helicopters.\
+")
 
 [unit_battleship]
 name          = _("Battleship")
@@ -1555,6 +1596,10 @@
 uk_gold       = 0
 flags         = "Diplomat", "IgZOC", "NonMil"
 roles         = ""
+effect        =
+    { "type", "cond_gov"
+        "Unit_Veteran", "Communism"
+    }
 helptext      = _("\
 - A Diplomat can establish embassies with other civilizations\
  by moving into another player's city.\
@@ -1601,6 +1646,10 @@
 uk_gold       = 0
 flags         = "Diplomat", "IgZOC", "NonMil", "Spy"
 roles         = ""
+effect        =
+    { "type", "cond_gov"
+        "Unit_Veteran", "Communism"
+    }
 helptext      = _("\
 A Spy is a full time professional and as such is much more\
  skilled in the arts of espionage than her Diplomat predecessor.\
